Revert^2 "Add verifier fallback for JVMTI Get/SetLocalVariable"
This reverts commit 99cbfb55fc7ac0f65b1ccdc7076219fcee383b92.
This unreverts commit e48fd0b4780efadc6b3433fe7a56aa5be2a84325.
We were incorrectly bounds-checking the register number. We were
treating it as unsigned when it was actual signed. Previously this
wouldn't matter since normally the debug-info won't have any
information for negative slots but by falling back to the verifier
we hit some check failures.
Reason for revert: Fixed underlying issue with bad bounds check.
Bug: 131711256
Change-Id: I0b859ce322f3b23f937b72d735db8f6870c40602
diff --git a/test/1965-get-set-local-primitive-no-tables/build b/test/1965-get-set-local-primitive-no-tables/build
new file mode 100644
index 0000000..6631df9
--- /dev/null
+++ b/test/1965-get-set-local-primitive-no-tables/build
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Copyright 2019 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# make us exit on a failure
+set -e
+
+if [[ $@ != *"--jvm"* ]]; then
+ mv jasmin jasmin-unused
+else
+ mv smali smali-unused
+fi
+./default-build "$@"